Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007761TestLinkBug Tracking System - JIRA Integrationpublic2016-11-24 12:142017-01-22 07:57
Reportervinu.vincent 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.16 (2016 Q4) 
Summary0007761: Issue add failure versions FIELD
DescriptionWe are getting the following error when we create issue.

addIssue:Failure:JIRA Message: versions => Field 'versions' cannot be set. It is not on the appropriate screen, or unknown.
TagsNo tags attached.
Database (MySQL,Postgres,etc)Mysql
Browser
PHP Version5.6
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
related to 0007757closedfman Jira issues updated with Jira integration user instead of the actual testlink user 
child of 0007666closedfman Availables hot-fixes for 1.9.15 & How To get full fixed package from GitHub 

-  Notes
(0025636)
fman (administrator)
2016-11-25 08:57

you need to check if versions is present on JIRA on the page you are using to create an issue.

what kind of info have you got doing some searches on google on:
JIRA versions => Field 'versions' cannot be set. It is not on the appropriate screen, or unknown.?
this kind provide you some help
(0025655)
vinu.vincent (reporter)
2016-12-06 09:23

I have checked this and its not a mandatory field in Jira.
(0025661)
fman (administrator)
2016-12-06 23:18

On standard configuration I'm using to test on JIRA on demand, it seems that version is mandatory, if this is not the true, then some changes to code will be needed.
may be you can provide a rough solution
(0025679)
vinu.vincent (reporter)
2016-12-07 02:34

Below are my configuration. Is there anything wrong on this? Can you provide the exact configuration or some reference?

Below are my configurations:-
<!-- Template jirarestInterface -->
<issuetracker>
<username>USERNAME</username>
<password>PASSWORD</password>
<uribase>https://abc.atlassian.net/</uribase> [^]
<!-- CRITIC - WITH HTTP getIssue() DOES NOT WORK -->
<uriapi>https://abc.atlassian.net/rest/api/latest/</uriapi> [^]
<uriview>https://abc.atlassian.net/browse/</uriview> [^]
<userinteraction>1</userinteraction>
<!-- 1: User will be able to manage following attributes from GUI -->
<!-- Issue Type, Issue Priority, Affects Versions, Components -->
<!-- 0: values for attributes will be taken FROM this config XML from GUI -->

<!-- Configure This if you want be able TO CREATE ISSUES -->
<projectkey>PROJ1</projectkey>
<issuetype>1</issuetype>
<issuepriority>JIRA ISSUE PRIORITY ID</issuepriority>
<!--
<attributes>
<customFieldValues>
    <customField>
      <customfieldId>customfield_10000</customfieldId>
      <type>String</type>
      <values><value>TESTLINK TEST</value></values>
    </customField>
</customFieldValues>
</attributes> -->

</issuetracker>
(0025680)
vinu.vincent (reporter)
2016-12-07 02:39

Can you provide the config for 'version' mandatory field? So that i can test the same.
(0025684)
fman (administrator)
2016-12-07 14:58

You can test using our jiraondemand installation.
Credentials to test are present on test code provided with testlink distribution
Judt browse the issue* folders you will find on the installation drive.
Give a lool also to info on forum.teslink.org
(0025696)
vinu.vincent (reporter)
2016-12-08 04:49

I have done jiraondemand installation. I couldn't find the testcode provided by testlink and issue* folders in the installation drive. Can you provide the location of it or any link for that? i am using testlink 1.9.15 version.
(0025698)
vinu.vincent (reporter)
2016-12-08 07:41

I am able to find the jiraondemand test configuration. I have tried to create issue by using the curl create.sh command and it is created. How can i implement it in my actual jira? I have done the config only from the GUI. Do i need to modify or edit any files?
(0025708)
fman (administrator)
2016-12-11 14:57

You need to try with your installation to integrate with our Jira On demand on one test project you create on TestLink to test if it works from GUI.
If this works this will means you have some to change on your JIRA side.
Please stop asking for files to be edited or changed.
(0025750)
vinu.vincent (reporter)
2016-12-20 07:17

I have tested with local jira installation. But same error i am getting when i integrated with local jira. Let me know if any code change required for this. For Jira its not mandatory field. But still its showing the error. Can you provide some more tips for fixing this issue.
(0025781)
fman (administrator)
2016-12-24 14:49

Doing some searches I've got this info:
https://answers.atlassian.com/questions/265902/create-issue-getting-error-on-reporter-field-reporter-cannot-be-set [^] [^]


The REST API respects the way Jira works on the front-end, so if the user can't do something in the UI, REST won't let them either.
(0025787)
fman (administrator)
2016-12-25 18:58

Please try this:

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/2af1c7eef8c266106e19589155791dcdae73b5e7 [^]

Please provide feedback
(0025839)
fman (administrator)
2017-01-14 18:03

no more user feedback
(0025867)
fman (administrator)
2017-01-22 07:57

1.9.16 released

- Issue History
Date Modified Username Field Change
2016-11-24 12:14 vinu.vincent New Issue
2016-11-25 08:57 fman Note Added: 0025636
2016-11-25 08:57 fman Status new => feedback
2016-12-06 09:23 vinu.vincent Note Added: 0025655
2016-12-06 09:23 vinu.vincent Status feedback => new
2016-12-06 23:17 fman QA Team - Task Workflow Status => TBD
2016-12-06 23:17 fman Summary Issue add failure => Issue add failure versions FIELD
2016-12-06 23:18 fman Note Added: 0025661
2016-12-06 23:18 fman Assigned To => fman
2016-12-06 23:18 fman Status new => feedback
2016-12-07 02:34 vinu.vincent Note Added: 0025679
2016-12-07 02:34 vinu.vincent Status feedback => assigned
2016-12-07 02:39 vinu.vincent Note Added: 0025680
2016-12-07 14:58 fman Note Added: 0025684
2016-12-07 16:05 fman Status assigned => feedback
2016-12-08 04:49 vinu.vincent Note Added: 0025696
2016-12-08 04:49 vinu.vincent Status feedback => assigned
2016-12-08 07:41 vinu.vincent Note Added: 0025698
2016-12-11 14:57 fman Note Added: 0025708
2016-12-11 14:57 fman Status assigned => feedback
2016-12-20 07:17 vinu.vincent Note Added: 0025750
2016-12-20 07:17 vinu.vincent Status feedback => assigned
2016-12-24 14:49 fman Note Added: 0025781
2016-12-24 14:49 fman Relationship added related to 0007757
2016-12-24 14:49 fman Status assigned => feedback
2016-12-25 18:58 fman Note Added: 0025787
2016-12-25 18:58 fman Status feedback => assigned
2016-12-25 18:59 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2016-12-25 18:59 fman Product Version => 1.9.15 (2015 Q4)
2016-12-25 18:59 fman Status assigned => feedback
2016-12-25 18:59 fman Relationship added child of 0007666
2017-01-14 18:03 fman Note Added: 0025839
2017-01-14 18:03 fman Status feedback => resolved
2017-01-14 18:03 fman Resolution open => fixed
2017-01-14 18:03 fman Fixed in Version => 1.9.16 (2016 Q4)
2017-01-22 07:57 fman Note Added: 0025867
2017-01-22 07:57 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker